diff --git a/media/webrtc/trunk/testing/gtest/scripts/fuse_gtest_files.py b/media/webrtc/trunk/testing/gtest/scripts/fuse_gtest_files.py
index 57ef72f0e3..f1ff68c4d8 100755
--- a/media/webrtc/trunk/testing/gtest/scripts/fuse_gtest_files.py
+++ b/media/webrtc/trunk/testing/gtest/scripts/fuse_gtest_files.py
@@ -90,8 +90,8 @@ def VerifyFileExists(directory, relative_path):
   """
 
   if not os.path.isfile(os.path.join(directory, relative_path)):
-    print 'ERROR: Cannot find %s in directory %s.' % (relative_path,
-                                                      directory)
+    print('ERROR: Cannot find {} in directory {}.'.format(relative_path,
+                                                      directory))
     print ('Please either specify a valid project root directory '
            'or omit it on the command line.')
     sys.exit(1)
@@ -119,11 +119,11 @@ def VerifyOutputFile(output_dir, relative_path):
     # TODO(wan@google.com): The following user-interaction doesn't
     # work with automated processes.  We should provide a way for the
     # Makefile to force overwriting the files.
-    print ('%s already exists in directory %s - overwrite it? (y/N) ' %
+    print('%s already exists in directory %s - overwrite it? (y/N) ' %
            (relative_path, output_dir))
     answer = sys.stdin.readline().strip()
     if answer not in ['y', 'Y']:
-      print 'ABORTED.'
+      print('ABORTED.')
       sys.exit(1)
 
   # Makes sure the directory holding the output file exists; creates
@@ -146,7 +146,7 @@ def ValidateOutputDir(output_dir):
 def FuseGTestH(gtest_root, output_dir):
   """Scans folder gtest_root to generate gtest/gtest.h in output_dir."""
 
-  output_file = file(os.path.join(output_dir, GTEST_H_OUTPUT), 'w')
+  output_file = open(os.path.join(output_dir, GTEST_H_OUTPUT), 'w')
   processed_files = sets.Set()  # Holds all gtest headers we've processed.
 
   def ProcessFile(gtest_header_path):
@@ -159,7 +159,7 @@ def FuseGTestH(gtest_root, output_dir):
     processed_files.add(gtest_header_path)
 
     # Reads each line in the given gtest header.
-    for line in file(os.path.join(gtest_root, gtest_header_path), 'r'):
+    for line in open(os.path.join(gtest_root, gtest_header_path)):
       m = INCLUDE_GTEST_FILE_REGEX.match(line)
       if m:
         # It's '#include "gtest/..."' - let's process it recursively.
@@ -187,7 +187,7 @@ def FuseGTestAllCcToFile(gtest_root, output_file):
     processed_files.add(gtest_source_file)
 
     # Reads each line in the given gtest source file.
-    for line in file(os.path.join(gtest_root, gtest_source_file), 'r'):
+    for line in open(os.path.join(gtest_root, gtest_source_file)):
       m = INCLUDE_GTEST_FILE_REGEX.match(line)
       if m:
         if 'include/' + m.group(1) == GTEST_SPI_H_SEED:
@@ -203,7 +203,7 @@ def FuseGTestAllCcToFile(gtest_root, output_file):
           # There is no need to #include "gtest/gtest.h" more than once.
           if not GTEST_H_SEED in processed_files:
             processed_files.add(GTEST_H_SEED)
-            output_file.write('#include "%s"\n' % (GTEST_H_OUTPUT,))
+            output_file.write('#include "{}"\n'.format(GTEST_H_OUTPUT))
       else:
         m = INCLUDE_SRC_FILE_REGEX.match(line)
         if m:
@@ -218,7 +218,7 @@ def FuseGTestAllCcToFile(gtest_root, output_file):
 def FuseGTestAllCc(gtest_root, output_dir):
   """Scans folder gtest_root to generate gtest/gtest-all.cc in output_dir."""
 
-  output_file = file(os.path.join(output_dir, GTEST_ALL_CC_OUTPUT), 'w')
+  output_file = open(os.path.join(output_dir, GTEST_ALL_CC_OUTPUT), 'w')
   FuseGTestAllCcToFile(gtest_root, output_file)
   output_file.close()
 
@@ -242,7 +242,7 @@ def main():
     # fuse_gtest_files.py GTEST_ROOT_DIR OUTPUT_DIR
     FuseGTest(sys.argv[1], sys.argv[2])
   else:
-    print __doc__
+    print(__doc__)
     sys.exit(1)
 
 
diff --git a/media/webrtc/trunk/testing/gtest/scripts/gen_gtest_pred_impl.py b/media/webrtc/trunk/testing/gtest/scripts/gen_gtest_pred_impl.py
index 3e7ab042ea..a34c529163 100755
--- a/media/webrtc/trunk/testing/gtest/scripts/gen_gtest_pred_impl.py
+++ b/media/webrtc/trunk/testing/gtest/scripts/gen_gtest_pred_impl.py
@@ -73,7 +73,7 @@ def HeaderPreamble(n):
   DEFS = {
     'today' : time.strftime('%m/%d/%Y'),
     'year' : time.strftime('%Y'),
-    'command' : '%s %s' % (os.path.basename(sys.argv[0]), n),
+    'command' : '{} {}'.format(os.path.basename(sys.argv[0]), n),
     'n' : n
     }
 
@@ -183,7 +183,7 @@ def Title(word):
 def OneTo(n):
   """Returns the list [1, 2, 3, ..., n]."""
 
-  return range(1, n + 1)
+  return list(range(1, n + 1))
 
 
 def Iter(n, format, sep=''):
@@ -303,13 +303,13 @@ def GenerateFile(path, content):
   """Given a file path and a content string, overwrites it with the
   given content."""
 
-  print 'Updating file %s . . .' % path
+  print('Updating file %s . . .' % path)
 
-  f = file(path, 'w+')
-  print >>f, content,
+  f = open(path, 'w+')
+  print(content, end=' ', file=f)
   f.close()
 
-  print 'File %s has been updated.' % path
+  print('File %s has been updated.' % path)
 
 
 def GenerateHeader(n):
@@ -329,7 +329,7 @@ def UnitTestPreamble():
   DEFS = {
     'today' : time.strftime('%m/%d/%Y'),
     'year' : time.strftime('%Y'),
-    'command' : '%s %s' % (os.path.basename(sys.argv[0]), sys.argv[1]),
+    'command' : '{} {}'.format(os.path.basename(sys.argv[0]), sys.argv[1]),
     }
 
   return (
@@ -525,9 +525,9 @@ class Predicate%(n)sTest : public testing::Test {
     // exactly once."""
 
   tests += ''.join(["""
-    EXPECT_EQ(1, n%s_) <<
-        "The predicate assertion didn't evaluate argument %s "
-        "exactly once.";""" % (i, i + 1) for i in OneTo(n)])
+    EXPECT_EQ(1, n{}_) <<
+        "The predicate assertion didn't evaluate argument {} "
+        "exactly once.";""".format(i, i + 1) for i in OneTo(n)])
 
   tests += """
 
@@ -717,8 +717,8 @@ def _Main():
   unit test."""
 
   if len(sys.argv) != 2:
-    print __doc__
-    print 'Author: ' + __author__
+    print(__doc__)
+    print('Author: ' + __author__)
     sys.exit(1)
 
   n = int(sys.argv[1])
diff --git a/media/webrtc/trunk/testing/gtest/scripts/pump.py b/media/webrtc/trunk/testing/gtest/scripts/pump.py
index 5efb653c20..fc7577bf8b 100755
--- a/media/webrtc/trunk/testing/gtest/scripts/pump.py
+++ b/media/webrtc/trunk/testing/gtest/scripts/pump.py
@@ -114,7 +114,7 @@ class Cursor:
     if self == Eof():
       return 'EOF'
     else:
-      return '%s(%s)' % (self.line + 1, self.column)
+      return '{}({})'.format(self.line + 1, self.column)
 
   def __add__(self, offset):
     return Cursor(self.line, self.column + offset)
@@ -150,7 +150,7 @@ class Token:
     self.token_type = token_type
 
   def __str__(self):
-    return 'Token @%s: \'%s\' type=%s' % (
+    return 'Token @{}: \'{}\' type={}'.format(
         self.start, self.value, self.token_type)
 
   def Clone(self):
@@ -246,7 +246,7 @@ def ParseToken(lines, pos, regex, token_type):
   if m and not m.start():
     return MakeToken(lines, pos, pos + m.end(), token_type)
   else:
-    print 'ERROR: %s expected at %s.' % (token_type, pos)
+    print('ERROR: {} expected at {}.'.format(token_type, pos))
     sys.exit(1)
 
 
@@ -273,7 +273,7 @@ def SkipUntil(lines, pos, regex, token_type):
   if m:
     return pos + m.start()
   else:
-    print ('ERROR: %s expected on line %s after column %s.' %
+    print('ERROR: %s expected on line %s after column %s.' %
            (token_type, pos.line + 1, pos.column))
     sys.exit(1)
 
@@ -383,8 +383,7 @@ def Tokenize(s):
   """A generator that yields the tokens in the given string."""
   if s != '':
     lines = s.splitlines(True)
-    for token in TokenizeLines(lines, Cursor(0, 0)):
-      yield token
+    yield from TokenizeLines(lines, Cursor(0, 0))
 
 
 class CodeNode:
@@ -453,8 +452,8 @@ def PushFront(a_list, elem):
 def PopToken(a_list, token_type=None):
   token = PopFront(a_list)
   if token_type is not None and token.token_type != token_type:
-    print 'ERROR: %s expected at %s' % (token_type, token.start)
-    print 'ERROR: %s found instead' % (token,)
+    print('ERROR: {} expected at {}'.format(token_type, token.start))
+    print('ERROR: {} found instead'.format(token))
     sys.exit(1)
 
   return token
@@ -616,15 +615,15 @@ class Env:
       if identifier == var:
         return value
 
-    print 'ERROR: meta variable %s is undefined.' % (identifier,)
+    print('ERROR: meta variable {} is undefined.'.format(identifier))
     sys.exit(1)
 
   def EvalExp(self, exp):
     try:
       result = eval(exp.python_exp)
-    except Exception, e:
-      print 'ERROR: caught exception %s: %s' % (e.__class__.__name__, e)
-      print ('ERROR: failed to evaluate meta expression %s at %s' %
+    except Exception as e:
+      print('ERROR: caught exception {}: {}'.format(e.__class__.__name__, e))
+      print('ERROR: failed to evaluate meta expression %s at %s' %
              (exp.python_exp, exp.token.start))
       sys.exit(1)
     return result
@@ -634,7 +633,7 @@ class Env:
       if identifier == var:
         return (lower, upper)
 
-    print 'ERROR: range %s is undefined.' % (identifier,)
+    print('ERROR: range {} is undefined.'.format(identifier))
     sys.exit(1)
 
 
@@ -688,14 +687,14 @@ def RunAtomicCode(env, node, output):
       RunCode(env.Clone(), node.else_branch, output)
   elif isinstance(node, ExpNode):
     value = env.EvalExp(node)
-    output.Append('%s' % (value,))
+    output.Append('{}'.format(value))
   elif isinstance(node, LiteralDollarNode):
     output.Append('$')
   elif isinstance(node, CodeNode):
     RunCode(env.Clone(), node, output)
   else:
-    print 'BAD'
-    print node
+    print('BAD')
+    print(node)
     sys.exit(1)
 
 
@@ -830,19 +829,19 @@ def ConvertFromPumpSource(src_text):
 
 def main(argv):
   if len(argv) == 1:
-    print __doc__
+    print(__doc__)
     sys.exit(1)
 
   file_path = argv[-1]
-  output_str = ConvertFromPumpSource(file(file_path, 'r').read())
+  output_str = ConvertFromPumpSource(open(file_path).read())
   if file_path.endswith('.pump'):
     output_file_path = file_path[:-5]
   else:
     output_file_path = '-'
   if output_file_path == '-':
-    print output_str,
+    print(output_str, end=' ')
   else:
-    output_file = file(output_file_path, 'w')
+    output_file = open(output_file_path, 'w')
     output_file.write('// This file was GENERATED by command:\n')
     output_file.write('//     %s %s\n' %
                       (os.path.basename(__file__), os.path.basename(file_path)))
